# clear

Specifies how the text flows with regards to any surrounding elements.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
4.0+ |  | 1.0+ | 7.0+ | 1.0+

## Values

all | Clears all text until text can reach both right and left margins.
left | Text flows around the left of left-aligned elements.
none | Default line break behavior.
right | Text flows around to the right of right-aligned elements.

## Availability

W3C HTML 4.01

## Related

- br

text_html aptana_docs